# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}

Name:           rpmtidy
Summary:        Deletes obsolete RPMS from cache
Version:        1.0
Release:        alt1_7
URL:            http://www.hyperdrifter.com
Source:         %{name}-%{version}.tar.bz2
Group:          System/Configuration/Packaging
License:        GPLv2+
BuildArch:      noarch
BuildRequires:  python2-base
Source44: import.info

%description
This script deletes obsolete files by comparing the version information
of all RPM package files which provide the same software package. You can
specify any number of paths of directories to search and you can also
exclude specific packages from being tested for obsolescence.

To run this script simply specify the path of a directory containing
RPM package files using the '--dir' option. For example, to delete obsolete
RPMs from the directory '/tmp/packages', execute the following command:

rpm-tidy --dir=/tmp/packages

%prep
%setup -q
chmod a-x doc/*.txt

%build
#nothing to do here because we use scripts

%install
sed -i 's!/usr/bin/env python!/usr/bin/python2!' tidy-rpm-cache.py
install -D -m 0755 tidy-rpm-cache.py %{buildroot}%{_bindir}/rpm-tidy

%files
%doc doc/*.txt
%{_bindir}/rpm-tidy


%changelog
* Fri Jun 12 2020 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_7
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_5
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_4
- new version

